Name:           perl-CSS
Version:        1.08
Release:        3.1
Summary:        Object oriented access to Cascading Style Sheets (CSS)
License:        Unknown
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CSS/
Source0:        CSS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl
Requires:       perl

%description
Object oriented access to Cascading Style Sheets (CSS)  

%prep
%setup -q -n CSS-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root,-)
%doc Changes README
%dir %{perl_vendorlib}/CSS
%{perl_vendorlib}/CSS.pm
%{perl_vendorlib}/CSS/Value.pm
%{perl_vendorlib}/CSS/Adaptor/
%{perl_vendorlib}/CSS/Adaptor/Debug.pm
%{perl_vendorlib}/CSS/Adaptor/Pretty.pm
%{perl_vendorlib}/CSS/Property.pm
%{perl_vendorlib}/CSS/Parse/
%{perl_vendorlib}/CSS/Parse/Lite.pm
%{perl_vendorlib}/CSS/Parse/Compiled.pm
%{perl_vendorlib}/CSS/Parse/PRDGrammar.pm
%{perl_vendorlib}/CSS/Parse/Heavy.pm
%{perl_vendorlib}/CSS/Parse/CompiledGrammar.pm
%{perl_vendorlib}/CSS/Adaptor.pm
%{perl_vendorlib}/CSS/Style.pm
%{perl_vendorlib}/CSS/Selector.pm
%{perl_vendorlib}/CSS/Parse.pm
%{_mandir}/man3/*

%changelog
* Thu Nov 13 2008 Carsten Schoene <cs@linux-administrator.com> 0.63-1
- initial build
